.search {
    position: relative;

    &__wrap {
        position: relative;
    }

    &__field {
        margin: 0;
        width: 100%;
        height: rem(32);
        outline: none;
        color: var(--gray-80);
        box-shadow: none;
        font-weight: 400;
        font-size: rem(12);
        line-height: rem(16);
        border-radius: rem(4);
        padding: rem(7) rem(72) rem(8) rem(8);
        background: #F8F8F8;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid var(--gray-10);

        &::placeholder {
            color: var(--gray-40);
            transition: var(--transition-time);
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            background-color: white;
            border-color: var(--primary);

            &::placeholder {
                color:transparent;
            }
        }

        &.error {
            border-color: red !important;
        }
    }

    &__button {
        top: 0;
        padding: 0;
        z-index: 20;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(32);
        height: rem(32);
        cursor: pointer;
        fill: var(--gray-40);
        position: absolute;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(20);
            flex-shrink: 0;
            display: inline-block;
        }

        &--submit {
            right: 0;
            fill: white;
            background: var(--blue);
            border-radius: 0 rem(4) rem(4) 0;
            transition: var(--transition-time);

            &:hover {
                fill: white;
                border-color: var(--w75);
                background-color: var(--w75);
            }

            &:active {
                fill: white;
                background: var(--blue);
            }
        }

        &--reset {
            right: rem(38);
            opacity: 0;
            visibility: hidden;

            &:hover {
                fill: var(--gray-60);
            }
        }
    }

    &__dropdown {
        top: 100%;
        left: 0;
        width: 100%;
        z-index: 500;
        overflow: hidden;
        position: absolute;
        border-radius: rem(4);
        background-color: white;
        box-shadow: var(--shadow);
        opacity: 0;
        visibility: hidden;
    }

    &__result {
        display: none;
    }

    &__item {
        min-height: rem(32);
        font-size: rem(13);
        line-height: rem(20);
        color: var(--gray-50);
        text-decoration: none;
        padding: rem(4) rem(12);
        background-color: white;
        display: flex;
        column-gap: rem(12);
        align-items: center;

        &:not(:last-child) {
            border-bottom: 1px solid var(--gray-5);
        }

        strong {
            font-weight: 600;
        }
    }

    &__image {
        width: rem(24);
        height: rem(24);
        display: block;
        flex-shrink: 0;
        overflow: hidden;
        border-radius: rem(2);
    }

    &__not-found {
        font-size: rem(13);
        line-height: rem(20);
        color: var(--gray-50);
        padding: rem(4) rem(12);
    }

    &.found {

        .search {

            &__not-found {
                display: none;
            }

            &__result {
                display: block;
            }
        }
    }

    &.filled {

        .search {

            &__button--reset {
                opacity: 1;
                visibility: visible;
            }

            &__dropdown {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__field {
            height: rem(32);
            font-size: rem(12);
            line-height: rem(16);
            padding: rem(7) rem(72) rem(7) rem(12);
        }

        &__button {
            width: rem(32);
            height: rem(32);

            i {
                height: rem(16);
            }

            &--submit {
                right: 0;
            }

            &--reset {
                width: rem(32);
                right: rem(38);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {

            &.hover,
            &:hover {
                color: white;
                text-decoration: none;
                background-color: var(--blue);
            }
        }
    }
}

.search-text {
    font-size: rem(12);
    line-height: rem(16);
    color: var(--gray-60);
    margin-bottom: rem(16);

    p {
        margin-bottom: rem(8);

        &:last-child {
            margin-bottom: 0;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(13);
        line-height: rem(20);
    }
}
